Package weka.core.pmml.jaxbbindings

# Class TimeSeries

java.lang.Object
weka.core.pmml.jaxbbindings.TimeSeries

public class TimeSeries extends Object

Java class for TimeSeries element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TimeSeries">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}TimeAnchor" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TimeValue" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="endTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="interpolationMethod" type="{http://www.dmg.org/PMML-4_1}INTERPOLATION-METHOD" default="none" />
             <attribute name="startTime" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="usage" type="{http://www.dmg.org/PMML-4_1}TIMESERIES-USAGE" default="original" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeSeries()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getEndTime()`
  Gets the value of the endTime property.
  `INTERPOLATIONMETHOD`
  `getInterpolationMethod()`
  Gets the value of the interpolationMethod property.
  `Double`
  `getStartTime()`
  Gets the value of the startTime property.
  `TimeAnchor`
  `getTimeAnchor()`
  Gets the value of the timeAnchor property.
  `List<TimeValue>`
  `getTimeValue()`
  Gets the value of the timeValue property.
  `TIMESERIESUSAGE`
  `getUsage()`
  Gets the value of the usage property.
  `void`
  `setEndTime(Double value)`
  Sets the value of the endTime property.
  `void`
  `setInterpolationMethod(INTERPOLATIONMETHOD value)`
  Sets the value of the interpolationMethod property.
  `void`
  `setStartTime(Double value)`
  Sets the value of the startTime property.
  `void`
  `setTimeAnchor(TimeAnchor value)`
  Sets the value of the timeAnchor property.
  `void`
  `setUsage(TIMESERIESUSAGE value)`
  Sets the value of the usage property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeSeries

    public TimeSeries()

- ## Method Details

  - ### getTimeAnchor

    public TimeAnchor getTimeAnchor()
    Gets the value of the timeAnchor property.
    Returns:
      possible object is `TimeAnchor`

  - ### setTimeAnchor

    public void setTimeAnchor(TimeAnchor value)
    Sets the value of the timeAnchor property.
    Parameters:
      `value` - allowed object is `TimeAnchor`

  - ### getTimeValue

    public List<TimeValue> getTimeValue()
    Gets the value of the timeValue property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the timeValue property.

    For example, to add a new item, do as follows:

            getTimeValue().add(newItem);

    Objects of the following type(s) are allowed in the list `TimeValue`

  - ### getEndTime

    public Double getEndTime()
    Gets the value of the endTime property.
    Returns:
      possible object is `Double`

  - ### setEndTime

    public void setEndTime(Double value)
    Sets the value of the endTime property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getInterpolationMethod

    public INTERPOLATIONMETHOD getInterpolationMethod()
    Gets the value of the interpolationMethod property.
    Returns:
      possible object is `INTERPOLATIONMETHOD`

  - ### setInterpolationMethod

    public void setInterpolationMethod(INTERPOLATIONMETHOD value)
    Sets the value of the interpolationMethod property.
    Parameters:
      `value` - allowed object is `INTERPOLATIONMETHOD`

  - ### getStartTime

    public Double getStartTime()
    Gets the value of the startTime property.
    Returns:
      possible object is `Double`

  - ### setStartTime

    public void setStartTime(Double value)
    Sets the value of the startTime property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getUsage

    public TIMESERIESUSAGE getUsage()
    Gets the value of the usage property.
    Returns:
      possible object is `TIMESERIESUSAGE`

  - ### setUsage

    public void setUsage(TIMESERIESUSAGE value)
    Sets the value of the usage property.
    Parameters:
      `value` - allowed object is `TIMESERIESUSAGE`